# File Field Download Module

## Introduction
The File Field Download module provides a simple yet powerful solution for Drupal websites that need to offer multiple
files as a single download.
It enables site administrators to create a download link that automatically compresses any
files attached to a node into a single ZIP archive, streamlining the file download process for end users.
This module is perfect for content managers who need to distribute document collections, media packages, or any group
of related files efficiently.

## Features
- Creates a custom "Download Link" field type that can be added to any entity
- Compresses multiple files from specified file fields into a single ZIP archive
- Allows administrators to select which file fields should be included in the ZIP download
- Customizable download link label to improve user experience
- Supports customization of the downloaded ZIP filename
- Works seamlessly with existing file fields in your content types
- Integrates with Drupal's entity system, making it compatible with any entity that uses file fields
- Minimizes server load by generating ZIP files on-demand

## Post-Installation
After installing the Download module, follow these steps to set it up:

1. Navigate to the "Structure" section in your Drupal admin menu
2. Select "Content types" (or another entity type you wish to use)
3. Choose the entity type you want to enhance with the download functionality
4. Click "Manage fields" and then "Add field"
5. From the dropdown menu, select "Download Link" under the "Reference" section
6. Give your field a name (e.g., "Download Files") and save
7. In the field settings, you can:
   - Set a custom label for the download link
   - Select which file fields should be included in the ZIP archive
   - Configure the format of the downloaded ZIP filename
8. Save your field settings

No additional configuration pages are necessary. The module works directly with the fields you've configured on your
content types.

## Additional Requirements
This module requires:

- Drupal 10.x or higher
- PclZip library (installed via Composer)

To install the required PclZip library, you can either:
1. Configure Drupal composer to include the library
2. Use the Composer Manager extension
